Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.util
Class TerminateManager

    java.lang.Object
      org.apache.sandesha2.util.TerminateManager

public class TerminateManager
extends java.lang.Object

Contains logic to remove all the storad data of a sequence. Methods of this are called by sending side and the receiving side when appropriate

Field Summary
`static java.util.HashMap` | `receivingSideCleanMap`

Constructor Summary
`TerminateManager()`

Method Summary
`static void` | `addTerminateSequenceMessage(RMMsgContext referenceMessage, java.lang.String internalSequenceID, java.lang.String outSequenceId, StorageManager storageManager)`
`static void` | `checkAndTerminate(org.apache.axis2.context.ConfigurationContext configurationContext, StorageManager storageManager, RMSBean rmsBean)`
`static void` | `cleanReceivingSideAfterInvocation(java.lang.String sequenceId, StorageManager storageManager)` When InOrder invocation is anabled this had to be called to clean the data left by the above method.
`static void` | `cleanReceivingSideOnTerminateMessage(org.apache.axis2.context.ConfigurationContext configContext, java.lang.String sequenceId, StorageManager storageManager)` Called by the receiving side to remove data related to a sequence.
`static void` | `terminateSendingSide(RMSBean rmsBean, StorageManager storageManager)` This is called by the sending side to clean data related to a sequence.
`static void` | `timeOutSendingSideSequence(java.lang.String internalSequenceId, StorageManager storageManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### receivingSideCleanMap

    public static java.util.HashMap receivingSideCleanMap

Constructor Detail

### TerminateManager

    public TerminateManager()

Method Detail

### checkAndTerminate

    public static void checkAndTerminate(org.apache.axis2.context.ConfigurationContext configurationContext,
                                         StorageManager storageManager,
                                         RMSBean rmsBean)
                                  throws SandeshaStorageException,
                                         org.apache.axis2.AxisFault

  Throws:
    `SandeshaStorageException`
    `org.apache.axis2.AxisFault`

### cleanReceivingSideOnTerminateMessage

    public static void cleanReceivingSideOnTerminateMessage(org.apache.axis2.context.ConfigurationContext configContext,
                                                            java.lang.String sequenceId,
                                                            StorageManager storageManager)
                                                     throws SandeshaException

  Called by the receiving side to remove data related to a sequence. e.g. After sending the TerminateSequence message. Calling this methods will complete all the data if InOrder invocation is not sequired.

  Parameters:
    `configContext` -
  Throws:
    `SandeshaException`

### cleanReceivingSideAfterInvocation

    public static void cleanReceivingSideAfterInvocation(java.lang.String sequenceId,
                                                         StorageManager storageManager)
                                                  throws SandeshaException

  When InOrder invocation is anabled this had to be called to clean the data left by the above method. This had to be called after the Invocation of the Last Message.

  Throws:
    `SandeshaException`

### terminateSendingSide

    public static void terminateSendingSide(RMSBean rmsBean,
                                            StorageManager storageManager)
                                     throws SandeshaException

  This is called by the sending side to clean data related to a sequence. e.g. after sending the TerminateSequence message.

  Throws:
    `SandeshaException`

### timeOutSendingSideSequence

    public static void timeOutSendingSideSequence(java.lang.String internalSequenceId,
                                                  StorageManager storageManager)
                                           throws SandeshaException

  Throws:
    `SandeshaException`

### addTerminateSequenceMessage

    public static void addTerminateSequenceMessage(RMMsgContext referenceMessage,
                                                   java.lang.String internalSequenceID,
                                                   java.lang.String outSequenceId,
                                                   StorageManager storageManager)
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.